Bug 128338 - Add svn_load_dirs and other contrib scripts
Add svn_load_dirs and other contrib scripts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
http://svn.collab.net/viewcvs/svn/tru...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-21 17:08 EDT by Kenneth Porter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.1.0-5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 06:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2004-07-21 17:08:08 EDT
The subversion system includes several useful contributed scripts.
Chapter 7 of the Subversion book (http://svnbook.red-bean.com/)
references the svn_load_dirs.pl script
(http://svnbook.red-bean.com/svnbook/ch07s04.html#svn-ch-7-sect-4.2)
to assist in managing "vendor branches".

I recommend adding a subversion-contrib subpackage that includes these
scripts.
Comment 1 Joe Orton 2004-08-23 05:05:55 EDT
Would it be sufficient to you to simply include them in the %docdir,
i.e. in /usr/share/doc/subversion-1.0.6/contrib?
Comment 2 Kenneth Porter 2004-08-23 05:47:34 EDT
Yeah, that'd probably be adequate.
Comment 3 Joe Orton 2004-10-05 06:21:19 EDT
svn_load_dirs is now included for FC3:

# rpm -qf /usr/share/doc/subversion-1.1.0/svn_load_dirs.pl
subversion-1.1.0-5

let me know if you'd like this for future 1.0.x updates for FC2, or if
there are other scripts I've missed that would also be useful.

Note You need to log in before you can comment on or make changes to this bug.